Gentoo Archives: gentoo-commits

From: Alexey Shvetsov <alexxy@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/sci:master commit in: sys-infiniband/openib-files/files/, sys-infiniband/openib-files/, ...
Date: Thu, 30 Jun 2011 23:30:23
Message-Id: e07a646cc444ad89b8c080117444ddd6580e9aac.alexxy@gentoo
1 commit: e07a646cc444ad89b8c080117444ddd6580e9aac
2 Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
3 AuthorDate: Thu Jun 30 23:27:55 2011 +0000
4 Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
5 CommitDate: Thu Jun 30 23:28:57 2011 +0000
6 URL: http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=e07a646c
7
8 Drop old OFED
9
10 ---
11 eclass/openib.eclass | 74 --
12 sys-infiniband/openib-drivers/ChangeLog | 30 -
13 sys-infiniband/openib-drivers/files/openib | 792 --------------------
14 .../openib-drivers/files/openib.modprobe | 12 -
15 sys-infiniband/openib-drivers/metadata.xml | 23 -
16 .../openib-drivers/openib-drivers-1.2.5.5.ebuild | 145 ----
17 sys-infiniband/openib-files/ChangeLog | 31 -
18 sys-infiniband/openib-files/files/90-ib.rules | 5 -
19 sys-infiniband/openib-files/files/openib | 243 ------
20 sys-infiniband/openib-files/files/openib.conf | 27 -
21 sys-infiniband/openib-files/files/openib.env | 1 -
22 sys-infiniband/openib-files/files/openib.modprobe | 12 -
23 .../openib-files/files/openib.modprobe.1.2.5.5 | 13 -
24 sys-infiniband/openib-files/metadata.xml | 17 -
25 .../openib-files/openib-files-1.2.5.5.ebuild | 132 ----
26 sys-infiniband/openib-userspace/ChangeLog | 27 -
27 .../openib-userspace/files/opensm.conf.d | 2 -
28 .../openib-userspace/files/opensm.init.d | 28 -
29 sys-infiniband/openib-userspace/metadata.xml | 20 -
30 .../openib-userspace-1.2.5.5.ebuild | 91 ---
31 20 files changed, 0 insertions(+), 1725 deletions(-)
32
33 diff --git a/eclass/openib.eclass b/eclass/openib.eclass
34 deleted file mode 100644
35 index 3705957..0000000
36 --- a/eclass/openib.eclass
37 +++ /dev/null
38 @@ -1,74 +0,0 @@
39 -# Copyright 1999-2009 Gentoo Foundation
40 -# Distributed under the terms of the GNU General Public License v2
41 -# $Header: $
42 -
43 -#
44 -# Original Author: Alexey Shvetsov <alexxy@g.o>
45 -# Purpose: Simplify working with OFED packages
46 -#
47 -
48 -inherit base eutils rpm versionator
49 -
50 -EXPORT_FUNCTIONS src_unpack
51 -
52 -HOMEPAGE="http://www.openfabrics.org/"
53 -LICENSE="|| ( GPL-2 BSD-2 )"
54 -SLOT="0"
55 -
56 -# @ECLASS-VARIABLE: OFED_VER
57 -# @DESCRIPTION:
58 -# Defines OFED version eg 1.4 or 1.4.0.1
59 -
60 -# @ECLASS-VARIABLE: OFED_SUFFIX
61 -# @DESCRIPTION:
62 -# Defines OFED package suffix eg -1.ofed1.4
63 -
64 -# @ECLASS-VARIABLE: OFED_SNAPSHOT
65 -# @DESCRIPTION:
66 -# Defines if src tarball is git snapshot
67 -
68 -OFED_BASE_VER=$(get_version_component_range 1-3 ${OFED_VER})
69 -
70 -SRC_URI="http://www.openfabrics.org/downloads/OFED/ofed-${OFED_BASE_VER}/OFED-${OFED_VER}.tgz"
71 -
72 -case ${PN} in
73 - openib-files)
74 - MY_PN="ofa_kernel"
75 - ;;
76 - *)
77 - MY_PN="${PN}"
78 - ;;
79 -esac
80 -
81 -case ${PV} in
82 - *p*)
83 - MY_PV="${PV/p/}"
84 - ;;
85 - *)
86 - MY_PV="${PV}"
87 - ;;
88 -esac
89 -
90 -case ${MY_PN} in
91 - ofa_kernel)
92 - EXT="tgz"
93 - ;;
94 - *)
95 - EXT="tar.gz"
96 - ;;
97 -esac
98 -
99 -S="${WORKDIR}/${MY_PN}-${MY_PV}"
100 -
101 -# @FUNCTION: openib_src_unpack
102 -# @DESCRIPTION:
103 -# This function will unpack OFED packages
104 -openib_src_unpack() {
105 - unpack ${A}
106 - rpm_unpack "./OFED-${OFED_VER}/SRPMS/${MY_PN}-${MY_PV}-${OFED_SUFFIX}.src.rpm"
107 - if [ -z ${OFED_SNAPSHOT} ]; then
108 - unpack ./${MY_PN}-${MY_PV}.${EXT}
109 - else
110 - unpack ./${MY_PN}-${MY_PV}-${OFED_SUFFIX}.${EXT}
111 - fi
112 -}
113
114 diff --git a/sys-infiniband/openib-drivers/ChangeLog b/sys-infiniband/openib-drivers/ChangeLog
115 deleted file mode 100644
116 index f0c3b08..0000000
117 --- a/sys-infiniband/openib-drivers/ChangeLog
118 +++ /dev/null
119 @@ -1,30 +0,0 @@
120 -# ChangeLog for sys-infiniband/openib-drivers
121 -# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
122 -# $Header: $
123 -
124 - 23 Jul 2009; Bryan Green <bryan.d.green@××××.gov>
125 - openib-drivers-1.2.5.5.ebuild: changed sys-cluster to sys-infiniband
126 -
127 - 19 Mar 2009; Alexey Shvetsov <alexxy@g.o>
128 - -openib-drivers-1.2.ebuild:
129 - Drop old versions
130 -
131 -*openib-drivers-1.2.5.5 (05 Jun 2008)
132 -
133 - 05 Jun 2008; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
134 - added openib-drivers-1.2.5.5.ebuild
135 -
136 - 28 May 2008; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
137 - added ~x86 keyword, updated copyright date
138 -
139 -*openib-drivers-1.2 (24 Oct 2007)
140 -
141 - 24 Oct 2007; Bryan Green <bryan.d.green@××××.gov>
142 - +openib-drivers-1.2.ebuild: version bump
143 - -openib-drivers-1.1.ebuild: removed
144 -
145 -*openib-drivers-1.1 (26 Oct 2006)
146 -
147 - 26 Oct 2006; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
148 - Initial Import
149 -
150
151 diff --git a/sys-infiniband/openib-drivers/files/openib b/sys-infiniband/openib-drivers/files/openib
152 deleted file mode 100644
153 index 19bcdb0..0000000
154 --- a/sys-infiniband/openib-drivers/files/openib
155 +++ /dev/null
156 @@ -1,792 +0,0 @@
157 -#!/sbin/runscript
158 -# Copyright 1999-2006 Gentoo Foundation
159 -# Distributed under the terms of the GNU General Public License v2
160 -# $Header: /CVS/groups/vistech/bgreen-overlay/sys-cluster/openib-drivers/files/openib,v 1.1.1.1 2007/10/12 20:18:26 bgreen Exp $
161 -
162 -# Based on openibd script from openfabrics.org,
163 -# Copyright (c) 2006 Mellanox Technologies. All rights reserved.
164 -# Distributed under the terms of the GNU General Public License v2
165 -
166 -depend() {
167 - after coldplug hotplug
168 - before net # init openib before starting any ipoib interfaces
169 -}
170 -
171 -OPENIB_CONFDIR=${OPENIB_CONFDIR:-/etc/infiniband}
172 -
173 -if [[ -r ${OPENIB_CONFDIR}/openib.conf ]] ; then
174 - . ${OPENIB_CONFDIR}/openib.conf
175 -fi
176 -
177 -max_ports_num_in_hca=0
178 -
179 -count_ib_ports()
180 -{
181 - local cnt=0
182 - local ports_in_hca=0
183 - sysdir=/sys/class/infiniband
184 - hcas=$(/bin/ls -1 ${sysdir} 2> /dev/null)
185 - for hca in $hcas
186 - do
187 - ports_in_hca=$(/bin/ls -1 ${sysdir}/${hca}/ports 2> /dev/null | wc -l)
188 - if [ $ports_in_hca -gt $max_ports_num_in_hca ]; then
189 - max_ports_num_in_hca=$ports_in_hca
190 - fi
191 - cnt=$[ $cnt + $ports_in_hca ]
192 - done
193 -
194 - return $cnt
195 -}
196 -
197 -# Setting OpenIB start parameters
198 -POST_LOAD_MODULES=""
199 -
200 -if [ "X${SDP_LOAD}" == "Xyes" ]; then
201 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_sdp"
202 - IPOIB_LOAD="yes"
203 -fi
204 -
205 -IPOIB=0
206 -IPOIB_MTU=${IPOIB_MTU:-65520}
207 -if [ "X${IPOIB_LOAD}" == "Xyes" ]; then
208 - IPOIB=1
209 -fi
210 -
211 -if [ "X${SRP_LOAD}" == "Xyes" ]; then
212 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_srp"
213 -fi
214 -
215 -if [ "X${VNIC_LOAD}" == "Xyes" ]; then
216 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_vnic"
217 -fi
218 -
219 -if [ "X${SRP_TARGET_LOAD}" == "Xyes" ]; then
220 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_srp_target"
221 -fi
222 -
223 -if [ "X${RDMA_CM_LOAD}" == "Xyes" ]; then
224 - POST_LOAD_MODULES="$POST_LOAD_MODULES rdma_cm"
225 -fi
226 -
227 -if [ "X${UCM_LOAD}" == "Xyes" ]; then
228 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_ucm"
229 -fi
230 -
231 -if [ "X${RDS_LOAD}" == "Xyes" ]; then
232 - POST_LOAD_MODULES="$POST_LOAD_MODULES rds"
233 -fi
234 -
235 -if [ "X${ISER_LOAD}" == "Xyes" ]; then
236 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_iser"
237 -fi
238 -
239 -if [ "X${RDMA_UCM_LOAD}" == "Xyes" ]; then
240 - POST_LOAD_MODULES="$POST_LOAD_MODULES rdma_ucm"
241 -fi
242 -
243 -UNLOAD_MODULES="ib_ipoib ib_madeye ib_rds rds ib_ucm kdapl ib_srp_target scsi_target ib_srp ib_vnic"
244 -UNLOAD_MODULES="$UNLOAD_MODULES ib_iser ib_sdp rdma_ucm rdma_cm ib_addr ib_cm ib_local_sa findex"
245 -UNLOAD_MODULES="$UNLOAD_MODULES ib_sa ib_uverbs ib_umad ib_mthca ib_ipath ipath_core ib_ehca ib_mad ib_core"
246 -
247 -STATUS_MODULES="rdma_ucm ib_rds rds ib_srp ib_vnic ib_sdp rdma_cm ib_addr ib_local_sa findex ib_ipoib ib_ehca ib_ipath ipath_core ib_mthca ib_uverbs ib_umad ib_ucm ib_sa ib_cm ib_mad ib_core"
248 -
249 -ipoib_ha_pidfile=/var/run/ipoib_ha.pid
250 -srp_daemon_pidfile=/var/run/srp_daemon.pid
251 -
252 -get_interfaces()
253 -{
254 - count_ib_ports
255 - ports_num=$?
256 -
257 - interfaces=""
258 - for (( i=0 ; i < $ports_num ; i++ ))
259 - do
260 - interfaces="$interfaces ib${i}"
261 - done
262 -}
263 -
264 -# If module $1 is loaded return - 0 else - 1
265 -is_module()
266 -{
267 - local RC
268 -
269 - /bin/lsmod | grep -w "$1" > /dev/null 2>&1
270 - RC=$?
271 -
272 - return $RC
273 -}
274 -
275 -get_sw_fw_info()
276 -{
277 - INFO=/etc/infiniband/info
278 - OFEDHOME="/usr/local"
279 - if [ -x ${INFO} ]; then
280 - OFEDHOME=$(${INFO} | grep -w prefix | cut -d '=' -f 2)
281 - fi
282 - MREAD=$(which mread 2> /dev/null)
283 -
284 - # Get OFED Build id
285 - if [ -r ${OFEDHOME}/BUILD_ID ]; then
286 - echo "Software"
287 - echo "-------------------------------------"
288 - printf "Build ID:\n"
289 - cat ${OFEDHOME}/BUILD_ID
290 - echo "-------------------------------------"
291 - fi
292 -
293 - # Get FW version
294 - if [ ! -x ${MREAD} ]; then
295 - return 1
296 - fi
297 -
298 - vendor="15b3"
299 - slots=$(lspci -n -d "${vendor}:" 2> /dev/null | grep -v "5a46" | cut -d ' ' -f 1)
300 - for mst_device in $slots
301 - do
302 - major=$($MREAD ${mst_device} 0x82478 2> /dev/null | cut -d ':' -f 2)
303 - subminor__minor=$($MREAD ${mst_device} 0x8247c 2> /dev/null | cut -d ':' -f 2)
304 - ftime=$($MREAD ${mst_device} 0x82480 2> /dev/null | cut -d ':' -f 2)
305 - fdate=$($MREAD ${mst_device} 0x82484 2> /dev/null | cut -d ':' -f 2)
306 -
307 - major=$(echo -n $major | cut -d x -f 2 | cut -b 4)
308 - subminor__minor1=$(echo -n $subminor__minor | cut -d x -f 2 | cut -b 3,4)
309 - subminor__minor2=$(echo -n $subminor__minor | cut -d x -f 2 | cut -b 5,6,7,8)
310 - echo
311 - echo "Device ${mst_device} Info:"
312 - echo "Firmware:"
313 -
314 - printf "\tVersion:"
315 - printf "\t$major.$subminor__minor1.$subminor__minor2\n"
316 -
317 - day=$(echo -n $fdate | cut -d x -f 2 | cut -b 7,8)
318 - month=$(echo -n $fdate | cut -d x -f 2 | cut -b 5,6)
319 - year=$(echo -n $fdate | cut -d x -f 2 | cut -b 1,2,3,4)
320 - hour=$(echo -n $ftime | cut -d x -f 2 | cut -b 5,6)
321 - min=$(echo -n $ftime | cut -d x -f 2 | cut -b 3,4)
322 - sec=$(echo -n $ftime | cut -d x -f 2 | cut -b 1,2)
323 -
324 - printf "\tDate:"
325 - printf "\t$day/$month/$year $hour:$min:$sec\n"
326 - done
327 -}
328 -
329 -# Create debug info
330 -get_debug_info()
331 -{
332 - trap '' 2 9 15
333 - DEBUG_INFO=/tmp/ib_debug_info.log
334 - /bin/rm -f $DEBUG_INFO
335 - touch $DEBUG_INFO
336 - echo "Hostname: `hostname -s`" >> $DEBUG_INFO
337 - test -e /etc/issue && echo "OS: `cat /etc/issue`" >> $DEBUG_INFO
338 - echo "Current kernel: `uname -r`" >> $DEBUG_INFO
339 - echo "Architecture: `uname -m`" >> $DEBUG_INFO
340 - echo "GCC version: `gcc --version`" >> $DEBUG_INFO
341 - echo "CPU: `cat /proc/cpuinfo | /bin/grep -E \"model name|arch\" | head -1`" >> $DEBUG_INFO
342 - echo "`cat /proc/meminfo | /bin/grep \"MemTotal\"`" >> $DEBUG_INFO
343 - echo "Chipset: `/sbin/lspci 2> /dev/null | head -1 | cut -d ':' -f 2-`" >> $DEBUG_INFO
344 -
345 - echo >> $DEBUG_INFO
346 - get_sw_fw_info >> $DEBUG_INFO
347 - echo >> $DEBUG_INFO
348 -
349 - echo >> $DEBUG_INFO
350 - echo "############# LSPCI ##############" >> $DEBUG_INFO
351 - /sbin/lspci 2> /dev/null >> $DEBUG_INFO
352 -
353 - echo >> $DEBUG_INFO
354 - echo "############# LSPCI -N ##############" >> $DEBUG_INFO
355 - /sbin/lspci -n 2> /dev/null >> $DEBUG_INFO
356 -
357 - echo >> $DEBUG_INFO
358 - echo "############# LSMOD ##############" >> $DEBUG_INFO
359 - /bin/lsmod >> $DEBUG_INFO
360 -
361 - echo >> $DEBUG_INFO
362 - echo "############# DMESG ##############" >> $DEBUG_INFO
363 - /bin/dmesg >> $DEBUG_INFO
364 -
365 - echo >> $DEBUG_INFO
366 - echo "############# Messages ##############" >> $DEBUG_INFO
367 - tail -50 /var/log/messages >> $DEBUG_INFO
368 -
369 - echo >> $DEBUG_INFO
370 - echo "############# Running Processes ##############" >> $DEBUG_INFO
371 - /bin/ps -ef >> $DEBUG_INFO
372 - echo "##############################################" >> $DEBUG_INFO
373 -
374 - eerror
375 - eerror "Please open an issue in the http://openib.org/bugzilla and attach $DEBUG_INFO"
376 - eerror
377 -}
378 -
379 -errata_58()
380 -{
381 -# Check AMD chipset issue Errata #58
382 -if test -x /sbin/lspci && test -x /sbin/setpci; then
383 - if ( /sbin/lspci -nd 1022:1100 2> /dev/null | grep "1100" > /dev/null ) &&
384 - ( /sbin/lspci -nd 1022:7450 2> /dev/null | grep "7450" > /dev/null ) &&
385 - ( /sbin/lspci -nd 15b3:5a46 2> /dev/null | grep "5a46" > /dev/null ); then
386 -
387 - if ! ( grep FIX_AMD_8131_ERR58 $CONFIG > /dev/null ); then
388 - echo >> $CONFIG
389 - echo "# Set FIX_AMD_8131_ERR58=YES to apply AMD-8131 Errata #58 workaround" >> $CONFIG
390 - echo "FIX_AMD_8131_ERR58=\"YES\"" >> $CONFIG
391 - fi
392 -
393 - # Set default value for FIX_AMD_8131_ERR58
394 - if [ -z "$FIX_AMD_8131_ERR58" ]; then
395 - FIX_AMD_8131_ERR58="YES"
396 - fi
397 -
398 - CURVAL=`/sbin/setpci -d 1022:1100 69`
399 -
400 - for val in $CURVAL
401 - do
402 - if [ "${val}" != "c0" ]; then
403 - if [ "$FIX_AMD_8131_ERR58" == "YES" ]; then
404 - /sbin/setpci -d 1022:1100 69=c0
405 - if [ $? -eq 0 ]; then
406 - # echo "AMD-8131 Errata #58 workaround applied"
407 - break
408 - else
409 - echo "Failed to apply AMD-8131 Errata #58 workaround"
410 - fi
411 - else
412 - echo
413 - echo "Invalid configuration found for PCI-X chipset AMD-8131 (Errata #58)"
414 - echo
415 - if [ "$RUNMODE" == "manual" ]; then
416 - read -p "Do you wish to continue anyway? [y/N]:"
417 - if [[ "$REPLY" != "y" && "$REPLY" != "yes" ]]; then
418 - exit 1
419 - fi
420 - break
421 - else
422 - exit 1
423 - fi
424 - fi
425 - fi
426 - done
427 -
428 - fi
429 -fi
430 -
431 -}
432 -
433 -errata_56()
434 -{
435 -# Check AMD chipset issue Errata #56
436 -if test -x /sbin/lspci && test -x /sbin/setpci; then
437 - if ( /sbin/lspci -nd 1022:1100 2> /dev/null | grep "1100" > /dev/null ) &&
438 - ( /sbin/lspci -nd 1022:7450 2> /dev/null | grep "7450" > /dev/null ) &&
439 - ( /sbin/lspci -nd 15b3:5a46 2> /dev/null | grep "5a46" > /dev/null ); then
440 -
441 - if ! ( grep FIX_AMD_8131_ERR56 $CONFIG > /dev/null ); then
442 - echo >> $CONFIG
443 - echo "# Set FIX_AMD_8131_ERR56=YES to apply AMD-8131 Errata #56 workaround" >> $CONFIG
444 - echo "FIX_AMD_8131_ERR56=\"YES\"" >> $CONFIG
445 - fi
446 -
447 - # Set default value for FIX_AMD_8131_ERR56
448 - if [ -z "$FIX_AMD_8131_ERR56" ]; then
449 - FIX_AMD_8131_ERR56="YES"
450 - fi
451 -
452 - bus=""
453 -
454 - # Look for devices AMD-8131
455 - for amd_dev in `/sbin/setpci -v -f -d 1022:7450 19 | cut -d':' -f1,2`
456 - do
457 -
458 - bus=`/sbin/setpci -s $amd_dev 19`
459 - rev=`/sbin/setpci -s $amd_dev 8`
460 -
461 -
462 - # Look for Tavor attach to secondary bus of this devices
463 - for device in `/sbin/setpci -f -s $bus: -d 15b3:5a46 19`
464 - do
465 - if [ $rev -lt 13 ]; then
466 - if [ "$FIX_AMD_8131_ERR56" == "YES" ]; then
467 - /sbin/setpci -d 15b3:5a44 72=14
468 - if [ $? -eq 0 ]; then
469 - # echo "AMD-8131 Errata #56 workaround applied"
470 - break
471 - else
472 - echo "Failed to apply AMD-8131 Errata #56 workaround"
473 - fi
474 - else
475 - echo
476 - echo "Invalid configuration found for PCI-X chipset AMD-8131 (Errata #56)"
477 - echo
478 -
479 - if [ "$RUNMODE" == "manual" ]; then
480 - read -p "Do you wish to continue anyway? [y/N]:"
481 - if [[ "$REPLY" != "y" && "$REPLY" != "yes" ]]; then
482 - exit 1
483 - fi
484 - break
485 - else
486 - exit 1
487 - fi
488 - fi
489 -
490 - else
491 - continue
492 - fi
493 -
494 - # If more than one device is on the bus the issue a
495 - # warning
496 - num=`/sbin/setpci -f -s $bus: 0 | wc -l | sed 's/\ *//g'`
497 -
498 - if [ $num -gt 1 ]; then
499 - echo "Warning: your current PCI-X configuration might be incorrect."
500 - echo "see AMD-8131 Errata 56 for more details."
501 - fi
502 -
503 - done
504 - done
505 -
506 - fi
507 -fi
508 -}
509 -
510 -rotate_log()
511 -{
512 - local log=$1
513 - if [ -s ${log} ]; then
514 - cat ${log} >> ${log}.$(date +%Y-%m-%d)
515 - /bin/rm -f ${log}
516 - fi
517 - touch ${log}
518 -}
519 -
520 -set_ipoib_cm()
521 -{
522 - local i=$1
523 - shift
524 -
525 - if [ ! -e /sys/class/net/${i}/mode ]; then
526 - echo "Failed to configure IPoIB connected mode for ${i}"
527 - return 1
528 - fi
529 -
530 - echo connected > /sys/class/net/${i}/mode
531 - /sbin/ifconfig ${i} mtu ${IPOIB_MTU}
532 -}
533 -
534 -bring_up()
535 -{
536 - local i=$1
537 - shift
538 -
539 - /etc/init.d/net.$i start
540 -
541 - if [ "X${SET_IPOIB_CM}" == "Xyes" ]; then
542 - set_ipoib_cm ${i}
543 - fi
544 -
545 - return $?
546 -}
547 -
548 -####
549 -PRE_UNLOAD_MODULES="ib_rds ib_ucm kdapl ib_srp_target scsi_target ib_srp ib_iser ib_sdp rdma_ucm rdma_cm ib_addr ib_cm ib_local_sa findex"
550 -
551 -# W/A for unloading modules
552 -POST_UNLOAD_MODULES="$PRE_UNLOAD_MODULES ib_ipoib ib_sa ib_uverbs ib_umad"
553 -# ib_mthca ib_ipath - dont unload unless they are in openib.conf
554 -[[ "${MTHCA_LOAD}" == "yes" ]] && \
555 - POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_mthca"
556 -[[ "${IPATH_LOAD}" == "yes" ]] && \
557 - POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_ipath ipath_core"
558 -
559 -[[ "${MTHCA_LOAD}" == "yes" || "${IPATH_LOAD}" == "yes" ]] && \
560 - POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_mad ib_core"
561 -
562 -#STATUS_MODULES="rdma_ucm ib_rds ib_srp ib_sdp rdma_cm ib_addr ib_local_sa findex ib_ipoib ib_ipath ipath_core ib_mthca ib_uverbs ib_umad ib_ucm ib_sa ib_cm ib_mad ib_core"
563 -
564 -unload()
565 -{
566 - # Unload module $1
567 - if is_module $mod; then
568 - /sbin/modprobe -r $mod > /dev/null 2>&1
569 - if [ $? -ne 0 ]; then
570 - # Try rmmod if modprobe failed: case that previous installation included more IB modules.
571 - /sbin/rmmod $mod > /dev/null 2>&1
572 - if [ $? -ne 0 ]; then
573 - ewarn "Failed to unload $mod"
574 - return 1
575 - fi
576 - fi
577 - fi
578 -}
579 -
580 -start() {
581 - local RC=0
582 - ebegin "Initializing Infiniband"
583 - eindent
584 -
585 - # Load Mellanox HCA driver if explicitly requested
586 - # (however, it should be loaded automatically by udev)
587 -
588 - errata_58
589 -
590 - einfo "Loading HCA and Access Layer drivers"
591 -
592 - eindent
593 - if [[ "${MTHCA_LOAD}" == "yes" ]]; then
594 - ebegin "modprobe ib_mthca"
595 - /sbin/modprobe ib_mthca > /dev/null 2>&1
596 - RC=$[ $RC + $? ]
597 - eend $?
598 - fi
599 - if [[ "${IPATH_LOAD}" == "yes" ]]; then
600 - ebegin "modprobe ib_ipath"
601 - /sbin/modprobe ib_ipath > /dev/null 2>&1
602 - RC=$[ $RC + $? ]
603 - eend $?
604 - fi
605 - if [[ "${EHCA_LOAD}" == "yes" ]]; then
606 - ebegin "modprobe ib_ehca"
607 - /sbin/modprobe ib_ehca > /dev/null 2>&1
608 - RC=$[ $RC + $? ]
609 - eend $?
610 - fi
611 - eoutdent
612 -
613 - # Add node description to sysfs
614 - IBSYSDIR="/sys/class/infiniband"
615 - if [ -d ${IBSYSDIR} ]; then
616 - declare -i hca_id=1
617 - for hca in ${IBSYSDIR}/*; do
618 - if [ -e ${hca}/node_desc ]; then
619 - echo -n "$(hostname -s) HCA-${hca_id}" >> ${hca}/node_desc
620 - fi
621 - let hca_id++
622 - done
623 - fi
624 -
625 - eindent
626 - if [ $RC -eq 0 ]; then
627 - ebegin "modprobe ib_umad"
628 - /sbin/modprobe ib_umad > /dev/null 2>&1
629 - RC=$[ $RC + $? ]
630 - eend $RC
631 - fi
632 - if [ $RC -eq 0 ]; then
633 - ebegin "modprobe ib_uverbs"
634 - /sbin/modprobe ib_uverbs > /dev/null 2>&1
635 - RC=$[ $RC + $? ]
636 - eend $RC
637 - fi
638 - eoutdent
639 -
640 - if [ $RC -eq 0 ] && [ $IPOIB -eq 1 ]; then
641 - # this section is not necessary if all ip-over-ib devices are
642 - # aliased properly in /etc/modules.d/openib
643 - ebegin "modprobe ib_ipoib"
644 - /sbin/modprobe ib_ipoib > /dev/null 2>&1
645 - RC=$[ $RC + $? ]
646 - eend $?
647 - fi
648 -
649 - if [ $RC -ne 0 ]; then
650 - eerror "Loading HCA driver and Access Layer: "
651 - get_debug_info
652 - eoutdent
653 - eend $RC
654 - return
655 - fi
656 -
657 - if [ $IPOIB -eq 1 ]; then
658 - # start the ipoib devices automatically...
659 - # this is probably a bad idea (the concept is taken from the
660 - # original SUSE/Redhat-based initscript), and should be removed.
661 - # But it works, and is not enabled by default. So I leave it here
662 - # for second opinions.
663 - get_interfaces
664 - for i in $interfaces
665 - do
666 - if [ -e /etc/init.d/net.$i ]; then
667 - einfo "starting ipoib device $i"
668 - bring_up $i
669 - fi
670 - done
671 -
672 - # leaving out the "Bring up child interfaces if configured" section.
673 -
674 - if [ "X${IPOIBHA_ENABLE}" == "Xyes" ]; then
675 - ipoib_ha_log="/var/log/ipoib_ha.log"
676 - rotate_log ${ipoib_ha_log}
677 - # Added sleep in order to wait for IPoIB interfaces to be UP
678 - sleep 1
679 - if [ ! -z "${PRIMARY_IPOIB_DEV}" ] && [ ! -z "${SECONDARY_IPOIB_DEV}" ]; then
680 - ipoib_ha.pl -p ${PRIMARY_IPOIB_DEV} -s ${SECONDARY_IPOIB_DEV} --with-arping --with-multicast -v > ${ipoib_ha_log} 2>&1 &
681 - else
682 - ipoib_ha.pl --with-arping --with-multicast -v > ${ipoib_ha_log} 2>&1 &
683 - fi
684 - ipoib_ha_pid=$!
685 - echo ${ipoib_ha_pid} > ${ipoib_ha_pidfile}
686 - elif [ "X${IPOIBBOND_ENABLE}" == "Xyes" ]; then
687 - if ( test ! -z $IPOIB_BONDS && which ib-bond &>/dev/null ) ; then
688 - echo Setting up bonding interfaces:
689 - for bond in $(echo $IPOIB_BONDS|tr , " ") ; do
690 - eval bond_ip=\$${bond}_IP
691 - if [ -z $bond_ip ]; then
692 - echo No IP address defined for $bond
693 - continue
694 - fi
695 - eval bond_slaves=\$${bond}_SLAVES
696 - if [ -z $bond_slaves ]; then
697 - echo No slaves defined for $bond
698 - continue
699 - fi
700 - ib-bond --bond-name $bond --bond-ip $bond_ip --slaves $bond_slaves
701 - RC=$?
702 - if [ $RC -eq 0 ] ; then
703 - einfo "Bringing up interface $bond"
704 - else
705 - eerror "Bringing up interface $bond"
706 - fi
707 - if [ "X${SET_IPOIB_CM}" == "Xyes" ]; then
708 - for slave in $(echo $bond_slaves|tr , " ") ; do
709 - set_ipoib_cm ${slave}
710 - done
711 - /sbin/ifconfig $bond mtu ${IPOIB_MTU}
712 - fi
713 - done
714 - fi
715 - fi
716 - fi
717 -
718 - # Devices for ib_umad and ib_uverbs should now have been created.
719 - if [ ! -d /dev/infiniband/ ]; then
720 - eerror "udev failed to create '/dev/infiniband/' devices"
721 - RC=1
722 - fi
723 -
724 - # Load configured modules
725 - if [ "$POST_LOAD_MODULES" != "" ]; then
726 - for mod in $POST_LOAD_MODULES
727 - do
728 - case $mod in
729 - ib_iser)
730 - # Voltaire requirement
731 - /sbin/modprobe --force-modversion $mod > /dev/null 2>&1
732 - ;;
733 - ib_srp)
734 - /sbin/modprobe $mod > /dev/null 2>&1
735 - if [ "X${SRPHA_ENABLE}" == "Xyes" ]; then
736 - if [ ! -x /sbin/multipath ]; then
737 - ewarn "/sbin/multipath is required to enable SRP HA."
738 - else
739 - # Create 91-srp.rules file
740 - mkdir -p /etc/udev/rules.d
741 - if [ "$DISTRIB" == "SuSE" ]; then
742 - cat > /etc/udev/rules.d/91-srp.rules << EOF
743 -ACTION=="add", KERNEL=="sd*[!0-9]", RUN+="/sbin/multipath %M:%m"
744 -EOF
745 - fi
746 - /sbin/modprobe dm_multipath > /dev/null 2>&1
747 - srp_daemon.sh &
748 - srp_daemon_pid=$!
749 - echo ${srp_daemon_pid} > ${srp_daemon_pidfile}
750 - fi
751 - fi
752 - ;;
753 - *)
754 - /sbin/modprobe $mod > /dev/null 2>&1
755 - ;;
756 - esac
757 - RC=$?
758 - [ $RC -ne 0 ] && eerror "Failed to load $mod"
759 - done
760 - fi
761 -
762 - errata_56
763 - sleep 1
764 -
765 - # skipping udevstart stuff from ofed_scripts/openibd
766 -
767 - # Create vnic interfaces. This needs to be done after udevstart
768 - if [ "X${VNIC_LOAD}" == "Xyes" ]; then
769 - if [[ ! -e /dev/infiniband/umad0 && ! -e /dev/infiniband/umad1 ]]; then
770 - echo "/dev/infiniband/umad0 or /dev/infiniband/umad1 not present."
771 - echo "Cannot create VNIC interfaces."
772 - eerror "Bringing up VNIC interfaces"
773 - elif is_module ib_vnic; then
774 - echo "Setting up VNIC interfaces..."
775 - vnic_parser.pl -v > /dev/null 2>&1
776 - res=$?
777 - if [ $res != 0 ]; then
778 - if [ $res == 2 ]; then
779 - echo "Created VNIC interfaces but with errors. Please refer to /var/log/messages."
780 - eerror "Bringing up VNIC interfaces"
781 - else
782 - echo "Error in parsing VNIC configuration file. Please refer to /var/log/messages."
783 - eerror "Bringing up VNIC interfaces"
784 - fi
785 - else
786 - einfo "Bringing up VNIC interfaces"
787 - fi
788 - else
789 - echo "Module ib_vnic not loaded."
790 - eerror "Bringing up VNIC interfaces"
791 - fi
792 - fi
793 -
794 - if [ X${RENICE_IB_MAD} == "Xyes" ]; then
795 - # Set max_ports_num_in_hca variable
796 - count_ib_ports
797 - ports_num=$?
798 - list_of_ibmads=""
799 - for (( i=1 ; $i <= ${max_ports_num_in_hca} ; i++ ))
800 - do
801 - list_of_ibmads="${list_of_ibmads} ib_mad${i}"
802 - done
803 -
804 - ib_mad_pids=($(pidof ${list_of_ibmads} 2> /dev/null))
805 - num_of_root_ibmad_procs=$(/bin/ps h -o user -p ${ib_mad_pids[*]} | grep -w root | wc -l)
806 - get_pid_retries=0
807 - while [ ${num_of_root_ibmad_procs} -lt $ports_num ]
808 - do
809 - # Wait maximum for 5 sec to get ib_mad process pid
810 - if [ $get_pid_retries -gt 10 ]; then
811 - echo Failed to get $ports_num ib_mad PIDs to renice. Got ${num_of_root_ibmad_procs}.
812 - break
813 - fi
814 - usleep 500000
815 - ib_mad_pids=($(pidof ${list_of_ibmads} 2> /dev/null))
816 - num_of_root_ibmad_procs=$(/bin/ps h -o user -p ${ib_mad_pids[*]} | grep -w root | wc -l)
817 - let get_pid_retries++
818 - done
819 - for ib_mad_pid in ${ib_mad_pids[*]}
820 - do
821 - if [ "$(/bin/ps -p ${ib_mad_pid} h -o user 2> /dev/null)" == "root" ]; then
822 - renice -19 ${ib_mad_pid} > /dev/null 2>&1
823 - fi
824 - done
825 - fi
826 -
827 - eoutdent
828 - eend $RC
829 -}
830 -
831 -unload()
832 -{
833 - # Unload module $1
834 - local mod=$1
835 - local unload_log
836 - if is_module $mod; then
837 - /sbin/modprobe -r $mod > /dev/null 2>&1
838 - if [ $? -ne 0 ]; then
839 - # Try rmmod if modprobe failed: case that previous installation included more IB modules.
840 - unload_log=`/sbin/rmmod $mod 2>&1`
841 - if [ $? -ne 0 ]; then
842 - eerror "Unloading $mod"
843 - if [ ! -z "${unload_log}" ]; then
844 - echo $unload_log
845 - fi
846 - # get_debug_info
847 - [ ! -z $2 ] && echo $2
848 - exit 1
849 - fi
850 - fi
851 - fi
852 -
853 -}
854 -
855 -stop() {
856 - ebegin "Stopping Infiniband"
857 - local RC=0
858 -
859 - # Check if applications which use infiniband are running
860 - local apps="opensm osmtest ibbs ibns"
861 - local pid
862 -
863 - for app in $apps
864 - do
865 - if ( ps -ef | grep $app | grep -v grep > /dev/null 2>&1 ); then
866 - eerror "Please stop $app and all applications running over InfiniBand"
867 - eend 1
868 - return
869 - fi
870 - done
871 -
872 - if ! is_module ib_core; then
873 - einfo "HCA driver is not loaded"
874 - eend 0
875 - return
876 - fi
877 -
878 - # Stop IPoIB HA daemon if running
879 - if [ -f $ipoib_ha_pidfile ]; then
880 - local line p
881 - read line < $ipoib_ha_pidfile
882 - for p in $line ; do
883 - [ -z "${p//[0-9]/}" -a -d "/proc/$p" ] && ipoib_ha_pids="$ipoib_ha_pids $p"
884 - done
885 - /bin/rm -f $ipoib_ha_pidfile
886 - fi
887 -
888 - if [ -n "${ipoib_ha_pids:-}" ]; then
889 - kill -9 ${ipoib_ha_pids} > /dev/null 2>&1
890 - mcastpid=$(pidof -x mcasthandle)
891 - if [ -n "${mcastpid:-}" ]; then
892 - kill -9 ${mcastpid} > /dev/null 2>&1
893 - fi
894 - fi
895 -
896 - # Down all bond interfaces
897 - if ( which ib-bond &>/dev/null ) ; then
898 - ib-bond --stop-all
899 - fi
900 -
901 - # Stop SRP HA daemon if running
902 - if [ -f $srp_daemon_pidfile ]; then
903 - local line p
904 - read line < $srp_daemon_pidfile
905 - for p in $line ; do
906 - [ -z "${p//[0-9]/}" -a -d "/proc/$p" ] && srp_daemon_pids="$srp_daemon_pids $p"
907 - done
908 - /bin/rm -f $srp_daemon_pidfile
909 - fi
910 -
911 - if [ -n "${srp_daemon_pids:-}" ]; then
912 - kill -15 ${srp_daemon_pids} > /dev/null 2>&1
913 - fi
914 -
915 - if [ "X${SRPHA_ENABLE}" == "Xyes" ]; then
916 - /bin/rm -f /etc/udev/rules.d/91-srp.rules > /dev/null 2>&1
917 - mpath_pids=$(pidof -x multipath)
918 - if [ -n "${mpath_pids:-}" ]; then
919 - kill -9 ${mpath_pids} > /dev/null 2>&1
920 - fi
921 -
922 - if is_module ib_srp; then
923 - for f in `/bin/ls /sys/class/scsi_host`
924 - do
925 - if [ -f /sys/class/scsi_host/$f/local_ib_port ]; then
926 - for i in `/bin/ls -d /sys/class/scsi_host/$f/device/target*/*/block* | awk -F: '{print $NF}'`
927 - do
928 - mdev=`/sbin/scsi_id -g -s /block/$i 2> /dev/null`
929 - if [ -n "${mdev}" ]; then
930 - /sbin/multipath -f $mdev > /dev/null 2>&1
931 - fi
932 - done
933 - fi
934 - done
935 - fi
936 - fi
937 -
938 - # Unload modules
939 - if [ "$UNLOAD_MODULES" != "" ]; then
940 - for mod in $UNLOAD_MODULES
941 - do
942 - unload $mod
943 - done
944 - fi
945 -
946 - eend $RC
947 -}
948 -
949
950 diff --git a/sys-infiniband/openib-drivers/files/openib.modprobe b/sys-infiniband/openib-drivers/files/openib.modprobe
951 deleted file mode 100644
952 index 52828fb..0000000
953 --- a/sys-infiniband/openib-drivers/files/openib.modprobe
954 +++ /dev/null
955 @@ -1,12 +0,0 @@
956 -# Setup aliases from ip-over-ib devices to the ip-over-ib kernel module.
957 -# Add to this list if you have more infiniband ports. Or you can set
958 -# IPOIB_LOAD=yes to have the ip-over-ib interfaces brought up by init.d/openib
959 -alias ib0 ib_ipoib
960 -alias ib1 ib_ipoib
961 -alias ib2 ib_ipoib
962 -alias ib3 ib_ipoib
963 -
964 -alias net-pf-27 ib_sdp
965 -
966 -#options ib_mthca msi_x=1
967 -
968
969 diff --git a/sys-infiniband/openib-drivers/metadata.xml b/sys-infiniband/openib-drivers/metadata.xml
970 deleted file mode 100644
971 index 53173c2..0000000
972 --- a/sys-infiniband/openib-drivers/metadata.xml
973 +++ /dev/null
974 @@ -1,23 +0,0 @@
975 -<?xml version="1.0" encoding="UTF-8"?>
976 -<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
977 -<pkgmetadata>
978 - <herd>cluster</herd>
979 - <longdescription>
980 -OpenIB kernel modules.
981 -</longdescription>
982 - <use>
983 - <flag name="cxgb3">Automatically generated description for cxgb3</flag>
984 - <flag name="ehca">Automatically generated description for ehca</flag>
985 - <flag name="hpage-patch">Automatically generated description for hpage-patch</flag>
986 - <flag name="ipath">Automatically generated description for ipath</flag>
987 - <flag name="iser">Automatically generated description for iser</flag>
988 - <flag name="madeye">Automatically generated description for madeye</flag>
989 - <flag name="memtrack">Automatically generated description for memtrack</flag>
990 - <flag name="rds">Automatically generated description for rds</flag>
991 - <flag name="srp">Automatically generated description for srp</flag>
992 - <flag name="vnic">Automatically generated description for vnic</flag>
993 - <flag name="cxgb3">Automatically generated description for cxgb3</flag>
994 - <flag name="ehca">Automatically generated description for ehca</flag>
995 - <flag name="mlx4">Automatically generated description for mlx4</flag>
996 - </use>
997 -</pkgmetadata>
998
999 diff --git a/sys-infiniband/openib-drivers/openib-drivers-1.2.5.5.ebuild b/sys-infiniband/openib-drivers/openib-drivers-1.2.5.5.ebuild
1000 deleted file mode 100644
1001 index cc14f84..0000000
1002 --- a/sys-infiniband/openib-drivers/openib-drivers-1.2.5.5.ebuild
1003 +++ /dev/null
1004 @@ -1,145 +0,0 @@
1005 -# Copyright 1999-2008 Gentoo Foundation
1006 -# Distributed under the terms of the GNU General Public License v2
1007 -# $Header: $
1008 -
1009 -inherit linux-mod rpm
1010 -
1011 -DESCRIPTION="OpenIB kernel modules"
1012 -HOMEPAGE="http://www.openfabrics.org/"
1013 -SHORT_PV=${PV%\.[^.]}
1014 -SRC_URI="http://www.openfabrics.org/builds/ofed-${SHORT_PV}/release/OFED-${PV}.tgz"
1015 -MY_P="OFED-${PV}"
1016 -S="${WORKDIR}/ofa_kernel-${PV}"
1017 -
1018 -LICENSE="|| ( GPL-2 BSD-2 )"
1019 -SLOT="0"
1020 -
1021 -KEYWORDS="~x86 ~amd64"
1022 -IUSE="cxgb3 debug ehca hpage-patch ipath iser madeye memtrack mlx4 rds srp vnic"
1023 -
1024 -RDEPEND=""
1025 -PDEPEND="=sys-infiniband/openib-files-${PV}"
1026 -DEPEND="${RDEPEND}
1027 - virtual/linux-sources"
1028 -
1029 -pkg_setup() {
1030 -
1031 - CONFIG_CHECK="!INFINIBAND PCI"
1032 - ERROR_INFINIBAND="Infiniband is already compiled into the kernel."
1033 - ERROR_PCI="PCI must be enabled in the kernel."
1034 -
1035 - linux-mod_pkg_setup
1036 -}
1037 -
1038 -src_unpack() {
1039 - unpack ${A} || die "unpack failed"
1040 - rpm_unpack ${MY_P}/SRPMS/ofa_kernel-${PV}-0.src.rpm
1041 - tar xzf ofa_kernel-${PV}.tgz
1042 - # remove patches that failed for me:
1043 - rm "${S}/kernel_patches/fixes/0050_cxgb3__fix_MSI_X_failure_path" \
1044 - "${S}/kernel_patches/fixes/0051_cxgb3__Use_wild_card_for_PCI_subdevice_ID_match" \
1045 - "${S}/kernel_patches/fixes/0052_cxgb3__Fix_resources_release" \
1046 - "${S}/kernel_patches/fixes/0053_cxgb3__Add_EEH_support" \
1047 - "${S}/kernel_patches/fixes/0054_cxgb3__FW_upgrade" \
1048 - "${S}/kernel_patches/fixes/0055_cxgb3__fix_interaction_with_pktgen" \
1049 - "${S}/kernel_patches/fixes/0056_cxgb3__HW_set_up_updates" \
1050 - "${S}/kernel_patches/fixes/0057_cxgb3__Fix_I_O_synchronization" \
1051 - "${S}/kernel_patches/fixes/0071_cxgb3_Parity_initialization_for_T3C_adapters.patch" \
1052 - "${S}/kernel_patches/fixes/0072_cxgb3_Fix_EEH_missing_softirq_blocking.patch" \
1053 - "${S}/kernel_patches/fixes/z_0010_skb_copy.patch" \
1054 - "${S}/kernel_patches/fixes/z_0040_napi_default.patch"
1055 -}
1056 -
1057 -make_target() {
1058 - local myARCH="${ARCH}" myABI="${ABI}"
1059 - ARCH="$(tc-arch-kernel)"
1060 - ABI="${KERNEL_ABI}"
1061 -
1062 - emake HOSTCC=$(tc-getBUILD_CC) CC=$(get-KERNEL_CC) $@ \
1063 - || die "Unable to run emake $@"
1064 -
1065 - ARCH="${myARCH}"
1066 - ABI="${myABI}"
1067 -}
1068 -
1069 -src_compile() {
1070 - convert_to_m Makefile
1071 -
1072 - export CONFIG_INFINIBAND="m"
1073 - export CONFIG_INFINIBAND_IPOIB="m"
1074 - export CONFIG_INFINIBAND_SDP="m"
1075 - export CONFIG_INFINIBAND_SRP="m"
1076 -
1077 - export CONFIG_INFINIBAND_USER_MAD="m"
1078 - export CONFIG_INFINIBAND_USER_ACCESS="m"
1079 - export CONFIG_INFINIBAND_ADDR_TRANS="y"
1080 - export CONFIG_INFINIBAND_MTHCA="m"
1081 - export CONFIG_INFINIBAND_IPATH="m"
1082 -
1083 - CONF_PARAMS="--prefix=${ROOT}usr --kernel-version=${KV_FULL}
1084 - --with-core-mod
1085 - --with-ipoib-mod
1086 - --with-ipoib-cm
1087 - --with-sdp-mod
1088 - --with-user_mad-mod
1089 - --with-user_access-mod
1090 - --with-addr_trans-mod
1091 - --with-mthca-mod"
1092 - CONF_PARAMS="$CONF_PARAMS
1093 - $(use_with srp)-mod
1094 - $(use_with ipath)_inf-mod
1095 - $(use_with iser)-mod
1096 - $(use_with ehca)-mod
1097 - $(use_with mlx4)-mod
1098 - $(use_with rds)-mod
1099 - $(use_with madeye)-mod
1100 - $(use_with vnic)-mod
1101 - $(use_with cxgb3)-mod"
1102 - if use debug; then
1103 - CONF_PARAMS="$CONF_PARAMS
1104 - --with-mthca_debug-mod
1105 - --with-ipoib_debug-mod
1106 - --with-sdp_debug-mod
1107 - $(use_with srp)_debug-mod
1108 - $(use_with rds)_debug-mod
1109 - $(use_with vnic)_debug-mod
1110 - $(use_with mlx4)_debug-mod
1111 - $(use_with cxgb3)_debug-mod"
1112 - else
1113 - CONF_PARAMS="$CONF_PARAMS
1114 - --without-mthca_debug-mod
1115 - --without-ipoib_debug-mod
1116 - --without-sdp_debug-mod"
1117 - fi
1118 - ebegin "Configuring"
1119 - local myARCH="${ARCH}" myABI="${ABI}"
1120 - ARCH="$(tc-arch-kernel)"
1121 - ABI="${KERNEL_ABI}"
1122 - ./configure ${CONF_PARAMS} ${EXTRA_ECONF} \
1123 - || die "configure failed with options: ${CONF_PARAMS}"
1124 - ARCH="${myARCH}"
1125 - ABI="${myABI}"
1126 - eend
1127 -
1128 - #sed -i '/DEPMOD.*=.*depmod/s/=.*/= :/' ./Makefile
1129 - #grep DEPMOD Makefile
1130 -
1131 - make_target
1132 -}
1133 -
1134 -src_install() {
1135 -
1136 - make_target DESTDIR="${D}" install
1137 -
1138 - insinto /usr/include/rdma
1139 - doins "${S}/include/rdma/*.h"
1140 - insinto /usr/include/scsi
1141 - doins "${S}/include/scsi/*.h"
1142 -
1143 -}
1144 -
1145 -pkg_postinst() {
1146 -
1147 - linux-mod_pkg_postinst
1148 -
1149 -}
1150
1151 diff --git a/sys-infiniband/openib-files/ChangeLog b/sys-infiniband/openib-files/ChangeLog
1152 deleted file mode 100644
1153 index 4d9e4c1..0000000
1154 --- a/sys-infiniband/openib-files/ChangeLog
1155 +++ /dev/null
1156 @@ -1,31 +0,0 @@
1157 -# ChangeLog for sys-infiniband/openib-files
1158 -# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
1159 -# $Header: $
1160 -
1161 -*openib-files-1.4.1 (20 Aug 2009)
1162 -
1163 - 20 Aug 2009; Alexey Shvetsov <alexxy@g.o>
1164 - +openib-files-1.4.1.ebuild:
1165 - Version Bump
1166 -
1167 - 19 Mar 2009; Alexey Shvetsov <alexxy@g.o> -openib-files-1.1.ebuild:
1168 - Drop old versions
1169 -
1170 -*openib-files-1.4 (21 Jan 2009)
1171 -
1172 - 21 Jan 2009; Alexey Shvetsov <alexxy@g.o> +openib-files-1.4.ebuild:
1173 - Version bump
1174 -
1175 - 06 Jun 2008; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
1176 - added openib.env per bug #223955 comment #17
1177 -
1178 -*openib-files-1.2.5.5 (05 Jun 2008)
1179 -
1180 - 05 Jun 2008; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
1181 - added openib-files-1.2.5.5.ebuild
1182 -
1183 -*openib-files-1.1 (26 Oct 2006)
1184 -
1185 - 26 Oct 2006; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
1186 - Initial Import
1187 -
1188
1189 diff --git a/sys-infiniband/openib-files/files/90-ib.rules b/sys-infiniband/openib-files/files/90-ib.rules
1190 deleted file mode 100644
1191 index 7896684..0000000
1192 --- a/sys-infiniband/openib-files/files/90-ib.rules
1193 +++ /dev/null
1194 @@ -1,5 +0,0 @@
1195 -KERNEL=="umad*", NAME="infiniband/%k"
1196 -KERNEL=="issm*", NAME="infiniband/%k"
1197 -KERNEL=="uverbs*", NAME="infiniband/%k", MODE="0666"
1198 -KERNEL=="ucm*", NAME="infiniband/%k", MODE="0666"
1199 -KERNEL=="rdma_cm", NAME="infiniband/%k", MODE="0666"
1200
1201 diff --git a/sys-infiniband/openib-files/files/openib b/sys-infiniband/openib-files/files/openib
1202 deleted file mode 100644
1203 index ef8ad7d..0000000
1204 --- a/sys-infiniband/openib-files/files/openib
1205 +++ /dev/null
1206 @@ -1,243 +0,0 @@
1207 -#!/sbin/runscript
1208 -# Copyright 1999-2006 Gentoo Foundation
1209 -# Distributed under the terms of the GNU General Public License v2
1210 -# $Header: $
1211 -
1212 -# Based on openibd script from openfabrics.org,
1213 -# Copyright (c) 2006 Mellanox Technologies. All rights reserved.
1214 -# Distributed under the terms of the GNU General Public License v2
1215 -
1216 -depend() {
1217 - after hotplug
1218 - before net # init openib before starting any ipoib interfaces
1219 -}
1220 -
1221 -OPENIB_CONFDIR=${OPENIB_CONFDIR:-/etc/infiniband}
1222 -
1223 -if [[ -r ${OPENIB_CONFDIR}/openib.conf ]] ; then
1224 - . ${OPENIB_CONFDIR}/openib.conf
1225 -fi
1226 -
1227 -# Setting OpenIB start parameters
1228 -POST_LOAD_MODULES=""
1229 -
1230 -if [ "X${SDP_LOAD}" == "Xyes" ]; then
1231 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_sdp"
1232 - IPOIB_LOAD="yes"
1233 -fi
1234 -
1235 -IPOIB=0
1236 -if [ "X${IPOIB_LOAD}" == "Xyes" ]; then
1237 - IPOIB=1
1238 -fi
1239 -
1240 -if [ "X${SRP_LOAD}" == "Xyes" ]; then
1241 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_srp"
1242 -fi
1243 -
1244 -if [ "X${SRP_TARGET_LOAD}" == "Xyes" ]; then
1245 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_srp_target"
1246 -fi
1247 -
1248 -if [ "X${RDMA_CM_LOAD}" == "Xyes" ]; then
1249 - POST_LOAD_MODULES="$POST_LOAD_MODULES rdma_cm"
1250 -fi
1251 -
1252 -if [ "X${UCM_LOAD}" == "Xyes" ]; then
1253 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_ucm"
1254 -fi
1255 -
1256 -if [ "X${RDS_LOAD}" == "Xyes" ]; then
1257 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_rds"
1258 -fi
1259 -
1260 -if [ "X${ISER_LOAD}" == "Xyes" ]; then
1261 - POST_LOAD_MODULES="$POST_LOAD_MODULES ib_iser"
1262 -fi
1263 -
1264 -if [ "X${RDMA_UCM_LOAD}" == "Xyes" ]; then
1265 - POST_LOAD_MODULES="$POST_LOAD_MODULES rdma_ucm"
1266 -fi
1267 -
1268 -PRE_UNLOAD_MODULES="ib_rds ib_ucm kdapl ib_srp_target scsi_target ib_srp ib_iser ib_sdp rdma_ucm rdma_cm ib_addr ib_cm ib_local_sa findex"
1269 -
1270 -# W/A for unloading modules
1271 -POST_UNLOAD_MODULES="$PRE_UNLOAD_MODULES ib_ipoib ib_sa ib_uverbs ib_umad"
1272 -# ib_mthca ib_ipath - don't unload unless they are in openib.conf
1273 -[[ "${MTHCA_LOAD}" == "yes" ]] && \
1274 - POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_mthca"
1275 -[[ "${IPATH_LOAD}" == "yes" ]] && \
1276 - POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_ipath ipath_core"
1277 -
1278 -[[ "${MTHCA_LOAD}" == "yes" || "${IPATH_LOAD}" == "yes" ]] && \
1279 - POST_UNLOAD_MODULES="$POST_UNLOAD_MODULES ib_mad ib_core"
1280 -
1281 -#STATUS_MODULES="rdma_ucm ib_rds ib_srp ib_sdp rdma_cm ib_addr ib_local_sa findex ib_ipoib ib_ipath ipath_core ib_mthca ib_uverbs ib_umad ib_ucm ib_sa ib_cm ib_mad ib_core"
1282 -
1283 -
1284 -# If module $1 is loaded return - 0 else - 1
1285 -is_module()
1286 -{
1287 - local RC
1288 -
1289 - /bin/lsmod | grep -w "$1" > /dev/null 2>&1
1290 - RC=$?
1291 -
1292 - return $RC
1293 -}
1294 -
1295 -unload()
1296 -{
1297 - # Unload module $1
1298 - if is_module $mod; then
1299 - /sbin/modprobe -r $mod > /dev/null 2>&1
1300 - if [ $? -ne 0 ]; then
1301 - # Try rmmod if modprobe failed: case that previous installation included more IB modules.
1302 - /sbin/rmmod $mod > /dev/null 2>&1
1303 - if [ $? -ne 0 ]; then
1304 - ewarn "Failed to unload $mod"
1305 - return 1
1306 - fi
1307 - fi
1308 - fi
1309 -}
1310 -
1311 -start() {
1312 - local RC=0
1313 - ebegin "Initializing Infiniband"
1314 - eindent
1315 -
1316 - # Load Mellanox HCA driver if explicitly requested
1317 - # (however, it should be loaded automatically by udev)
1318 -
1319 - einfo "Loading HCA and Access Layer drivers"
1320 -
1321 - if [[ "${MTHCA_LOAD}" == "yes" ]]; then
1322 - /sbin/modprobe ib_mthca > /dev/null 2>&1
1323 - RC=$[ $RC + $? ]
1324 - fi
1325 - if [[ "${IPATH_LOAD}" == "yes" ]]; then
1326 - /sbin/modprobe ib_ipath > /dev/null 2>&1
1327 - RC=$[ $RC + $? ]
1328 - fi
1329 -
1330 - # Add node description to sysfs
1331 - IBSYSDIR="/sys/class/infiniband"
1332 - if [ -d ${IBSYSDIR} ]; then
1333 - declare -i hca_id=1
1334 - for hca in ${IBSYSDIR}/*; do
1335 - if [ -e ${hca}/node_desc ]; then
1336 - echo -n "$(hostname -s) HCA-${hca_id}" >> ${hca}/node_desc
1337 - fi
1338 - let hca_id++
1339 - done
1340 - fi
1341 - /sbin/modprobe ib_umad > /dev/null 2>&1
1342 - RC=$[ $RC + $? ]
1343 - /sbin/modprobe ib_uverbs > /dev/null 2>&1
1344 - RC=$[ $RC + $? ]
1345 -
1346 - if [ $IPOIB -eq 1 ]; then
1347 - # this section is not necessary if all ib-over-ib devices are
1348 - # aliased properly in /etc/modules.d/openib
1349 - einfo "loading ib_ipoib module"
1350 - /sbin/modprobe ib_ipoib > /dev/null 2>&1
1351 - RC=$[ $RC + $? ]
1352 - if (( ! RC )); then
1353 - # start the ipoib devices automatically...
1354 - # this is probably a bad idea (the concept is taken from the
1355 - # original SUSE/Redhat-based initscript), and should be removed.
1356 - # But it works, and is not enabled by default. So I leave it here
1357 - # for second opinions.
1358 - local ibdevs=`rc-status -u -nc |egrep 'net\.ib[0-9a-zA-Z]+.*stopped' | awk '{print $1}'`
1359 - if [ -n "$ibdevs" ] ; then
1360 - einfo "starting ipoib devices"
1361 - for ibdev in $ibdevs; do
1362 - /etc/init.d/$ibdev start
1363 - done
1364 - fi
1365 - fi
1366 - fi
1367 -
1368 - # Devices for ib_umad and ib_uverbs should now have been created.
1369 - if [ ! -d /dev/infiniband/ ]; then
1370 - eerror "udev failed to create '/dev/infiniband/' devices"
1371 - RC=1
1372 - fi
1373 -
1374 - # Load configured modules
1375 - if [ "$POST_LOAD_MODULES" != "" ]; then
1376 - for mod in $POST_LOAD_MODULES
1377 - do
1378 - case $mod in
1379 - ib_iser)
1380 - # Voltaire requirement
1381 - /sbin/modprobe --force-modversion $mod > /dev/null 2>&1
1382 - ;;
1383 - *)
1384 - /sbin/modprobe $mod > /dev/null 2>&1
1385 - ;;
1386 - esac
1387 - RC=$?
1388 - [ $RC -ne 0 ] && eerror "Failed to load $mod"
1389 - done
1390 - fi
1391 -
1392 - eoutdent
1393 - eend $RC
1394 -}
1395 -
1396 -stop() {
1397 - ebegin "Stopping Infiniband"
1398 - local RC=0
1399 -
1400 - # Check if applications which use infiniband are running
1401 - local apps="opensm osmtest ibbs ibns"
1402 - local pid
1403 -
1404 - for app in $apps
1405 - do
1406 - if ( ps -ef | grep $app | grep -v grep > /dev/null 2>&1 ); then
1407 - eerror "Please stop $app and all applications running over InfiniBand"
1408 - eend 1
1409 - return
1410 - fi
1411 - done
1412 -
1413 - if ! is_module ib_core; then
1414 - einfo "HCA driver is not loaded"
1415 - eend 0
1416 - return
1417 - fi
1418 -
1419 - # Unload ULPs modules
1420 -
1421 - if [ "$PRE_UNLOAD_MODULES" != "" ]; then
1422 - for mod in $PRE_UNLOAD_MODULES
1423 - do
1424 - unload $mod || { eend 1; return; }
1425 - done
1426 - fi
1427 -
1428 - # Remove srp_presistant_bind.sh before removing ib_srp module
1429 - PID_SCRPT_TO_KILL=`ps -efww | grep srp_persistent | grep -v grep | awk '{print $2}'`
1430 - if ! [ "$PID_SCRPT_TO_KILL" == "" ]; then
1431 - PID_SLEEP_TO_KILL=`ps -efww | grep $PID_SCRPT_TO_KILL | grep sleep | awk '{print $2}'`
1432 - kill -9 $PID_SCRPT_TO_KILL
1433 - fi
1434 - if ! [ "$PID_SLEEP_TO_KILL" == "" ]; then
1435 - kill -9 $PID_SLEEP_TO_KILL
1436 - fi
1437 -
1438 - # Unload OpenIB modules
1439 -
1440 - if [ "$POST_UNLOAD_MODULES" != "" ]; then
1441 - for mod in $POST_UNLOAD_MODULES
1442 - do
1443 - unload $mod || RC=1
1444 - done
1445 - fi
1446 -
1447 - eend $RC
1448 -}
1449 -
1450
1451 diff --git a/sys-infiniband/openib-files/files/openib.conf b/sys-infiniband/openib-files/files/openib.conf
1452 deleted file mode 100644
1453 index 9b4eb29..0000000
1454 --- a/sys-infiniband/openib-files/files/openib.conf
1455 +++ /dev/null
1456 @@ -1,27 +0,0 @@
1457 -# uncomment to load ib_ipoib module
1458 -#IPOIB_LOAD=yes
1459 -
1460 -# uncomment to load ib_sdp module (implies IPOIB_LOAD=yes)
1461 -#SDP_LOAD=yes
1462 -
1463 -# uncomment to load ib_srp module
1464 -#SRP_LOAD=yes
1465 -
1466 -# uncomment to load ib_srp_target module
1467 -#SRP_TARGET_LOAD=yes
1468 -
1469 -# uncomment to load rdma_cm module
1470 -#RDMA_CM_LOAD=yes
1471 -
1472 -# uncomment to load ib_ucm module
1473 -#UCM_LOAD=yes
1474 -
1475 -# uncomment to load ib_rds module
1476 -#RDS_LOAD=yes
1477 -
1478 -# uncomment to load ib_iser module
1479 -#ISER_LOAD=yes
1480 -
1481 -# uncomment to load rdma_ucm module
1482 -#RDMA_UCM_LOAD=yes
1483 -
1484
1485 diff --git a/sys-infiniband/openib-files/files/openib.env b/sys-infiniband/openib-files/files/openib.env
1486 deleted file mode 100644
1487 index 2e34cf2..0000000
1488 --- a/sys-infiniband/openib-files/files/openib.env
1489 +++ /dev/null
1490 @@ -1 +0,0 @@
1491 -IBPATH="/usr/sbin"
1492
1493 diff --git a/sys-infiniband/openib-files/files/openib.modprobe b/sys-infiniband/openib-files/files/openib.modprobe
1494 deleted file mode 100644
1495 index 52828fb..0000000
1496 --- a/sys-infiniband/openib-files/files/openib.modprobe
1497 +++ /dev/null
1498 @@ -1,12 +0,0 @@
1499 -# Setup aliases from ip-over-ib devices to the ip-over-ib kernel module.
1500 -# Add to this list if you have more infiniband ports. Or you can set
1501 -# IPOIB_LOAD=yes to have the ip-over-ib interfaces brought up by init.d/openib
1502 -alias ib0 ib_ipoib
1503 -alias ib1 ib_ipoib
1504 -alias ib2 ib_ipoib
1505 -alias ib3 ib_ipoib
1506 -
1507 -alias net-pf-27 ib_sdp
1508 -
1509 -#options ib_mthca msi_x=1
1510 -
1511
1512 diff --git a/sys-infiniband/openib-files/files/openib.modprobe.1.2.5.5 b/sys-infiniband/openib-files/files/openib.modprobe.1.2.5.5
1513 deleted file mode 100644
1514 index 8478d67..0000000
1515 --- a/sys-infiniband/openib-files/files/openib.modprobe.1.2.5.5
1516 +++ /dev/null
1517 @@ -1,13 +0,0 @@
1518 -# Setup aliases from ip-over-ib devices to the ip-over-ib kernel module.
1519 -# Add to this list if you have more infiniband ports. Or you can set
1520 -# IPOIB_LOAD=yes to have the ip-over-ib interfaces brought up by init.d/openib
1521 -alias ib0 ib_ipoib
1522 -alias ib1 ib_ipoib
1523 -alias ib2 ib_ipoib
1524 -alias ib3 ib_ipoib
1525 -
1526 -alias net-pf-27 ib_sdp
1527 -
1528 -#options ib_mthca msi_x=1
1529 -#options mlx4_core msi_x=1
1530 -
1531
1532 diff --git a/sys-infiniband/openib-files/metadata.xml b/sys-infiniband/openib-files/metadata.xml
1533 deleted file mode 100644
1534 index f1ef010..0000000
1535 --- a/sys-infiniband/openib-files/metadata.xml
1536 +++ /dev/null
1537 @@ -1,17 +0,0 @@
1538 -<?xml version="1.0" encoding="UTF-8"?>
1539 -<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
1540 -<pkgmetadata>
1541 - <herd>cluster</herd>
1542 - <longdescription>
1543 -OpenIB system files and examples.
1544 -</longdescription>
1545 - <use>
1546 - <flag name="ehca">Automatically generated description for ehca</flag>
1547 - <flag name="ipath">Automatically generated description for ipath</flag>
1548 - <flag name="iser">Automatically generated description for iser</flag>
1549 - <flag name="srp">Automatically generated description for srp</flag>
1550 - <flag name="vnic">Automatically generated description for vnic</flag>
1551 - <flag name="mlx4">Automatically generated description for mlx4</flag>
1552 - <flag name="rds">Automatically generated description for rds</flag>
1553 - </use>
1554 -</pkgmetadata>
1555
1556 diff --git a/sys-infiniband/openib-files/openib-files-1.2.5.5.ebuild b/sys-infiniband/openib-files/openib-files-1.2.5.5.ebuild
1557 deleted file mode 100644
1558 index 872bf29..0000000
1559 --- a/sys-infiniband/openib-files/openib-files-1.2.5.5.ebuild
1560 +++ /dev/null
1561 @@ -1,132 +0,0 @@
1562 -# Copyright 1999-2008 Gentoo Foundation
1563 -# Distributed under the terms of the GNU General Public License v2
1564 -# $Header: $
1565 -
1566 -inherit rpm
1567 -
1568 -DESCRIPTION="OpenIB system files"
1569 -HOMEPAGE="http://www.openfabrics.org/"
1570 -SHORT_PV=${PV%\.[^.]}
1571 -SRC_URI="http://www.openfabrics.org/builds/ofed-${SHORT_PV}/release/OFED-${PV}.tgz"
1572 -MY_P="OFED-${PV}"
1573 -S="${WORKDIR}"
1574 -SCRIPTDIR="${S}/ofa_kernel-${PV}/ofed_scripts"
1575 -
1576 -LICENSE="|| ( GPL-2 BSD-2 )"
1577 -SLOT="0"
1578 -
1579 -KEYWORDS="~x86 ~amd64"
1580 -IUSE="ehca ipath iser mlx4 rds srp vnic"
1581 -
1582 -RDEPEND=""
1583 -DEPEND="${RDEPEND}"
1584 -
1585 -src_unpack() {
1586 - unpack ${A} || die "unpack failed"
1587 - rpm_unpack ${MY_P}/SRPMS/ofa_kernel-${PV}-0.src.rpm
1588 - tar xzf ofa_kernel-${PV}.tgz ofa_kernel-${PV}/ofed_scripts
1589 -}
1590 -
1591 -src_install() {
1592 -
1593 - insinto /etc/udev/rules.d
1594 - newins "${SCRIPTDIR}/90-ib.rules" 40-ib.rules
1595 - insinto /etc/modules.d
1596 - newins "${FILESDIR}/openib.modprobe.${PV}" openib
1597 - newenvd "${FILESDIR}/openib.env" 02openib
1598 - insinto /etc/infiniband
1599 -
1600 - doinitd "${FILESDIR}/openib"
1601 -
1602 - # build openib.conf based on ofed_scripts/ofa_kernel.spec
1603 - build_ipoib=1
1604 - build_sdp=1
1605 - cp "${SCRIPTDIR}/openib.conf" "${T}"
1606 - IB_CONF_DIR=${T}
1607 - echo >> ${IB_CONF_DIR}/openib.conf
1608 - echo "# Load UCM module" >> ${IB_CONF_DIR}/openib.conf
1609 - echo "UCM_LOAD=no" >> ${IB_CONF_DIR}/openib.conf
1610 - echo >> ${IB_CONF_DIR}/openib.conf
1611 - echo "# Load RDMA_CM module" >> ${IB_CONF_DIR}/openib.conf
1612 - echo "RDMA_CM_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
1613 - echo >> ${IB_CONF_DIR}/openib.conf
1614 - echo "# Load RDMA_UCM module" >> ${IB_CONF_DIR}/openib.conf
1615 - echo "RDMA_UCM_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
1616 - echo >> ${IB_CONF_DIR}/openib.conf
1617 - echo "# Increase ib_mad thread priority" >> ${IB_CONF_DIR}/openib.conf
1618 - echo "RENICE_IB_MAD=no" >> ${IB_CONF_DIR}/openib.conf
1619 -
1620 - echo >> ${IB_CONF_DIR}/openib.conf
1621 - echo "# Load MTHCA" >> ${IB_CONF_DIR}/openib.conf
1622 - echo "MTHCA_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
1623 - if use ipath; then
1624 - echo >> ${IB_CONF_DIR}/openib.conf
1625 - echo "# Load IPATH" >> ${IB_CONF_DIR}/openib.conf
1626 - echo "IPATH_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
1627 - fi
1628 - if use ehca; then
1629 - echo >> ${IB_CONF_DIR}/openib.conf
1630 - echo "# Load eHCA" >> ${IB_CONF_DIR}/openib.conf
1631 - echo "EHCA_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
1632 - fi
1633 - if use mlx4; then
1634 - echo >> ${IB_CONF_DIR}/openib.conf
1635 - echo "# Load MLX4 modules" >> ${IB_CONF_DIR}/openib.conf
1636 - echo "MLX4_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
1637 - fi
1638 - if (( build_ipoib )); then
1639 - echo >> ${IB_CONF_DIR}/openib.conf
1640 - echo "# Load IPoIB" >> ${IB_CONF_DIR}/openib.conf
1641 - echo "#IPOIB_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
1642 - echo >> ${IB_CONF_DIR}/openib.conf
1643 - echo "# Enable IPoIB Connected Mode" >> ${IB_CONF_DIR}/openib.conf
1644 - echo "#SET_IPOIB_CM=yes" >> ${IB_CONF_DIR}/openib.conf
1645 - # from ofa_user.spec:
1646 - echo >> ${IB_CONF_DIR}/openib.conf
1647 - echo "# Enable IPoIB High Availability daemon" >> ${IB_CONF_DIR}/openib.conf
1648 - echo "#IPOIBHA_ENABLE=no" >> ${IB_CONF_DIR}/openib.conf
1649 - echo "# PRIMARY_IPOIB_DEV=ib0" >> ${IB_CONF_DIR}/openib.conf
1650 - echo "# SECONDARY_IPOIB_DEV=ib1" >> ${IB_CONF_DIR}/openib.conf
1651 - fi
1652 - if (( build_sdp )); then
1653 - echo >> ${IB_CONF_DIR}/openib.conf
1654 - echo "# Load SDP module" >> ${IB_CONF_DIR}/openib.conf
1655 - echo "#SDP_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
1656 - fi
1657 - if use srp; then
1658 - echo >> ${IB_CONF_DIR}/openib.conf
1659 - echo "# Load SRP module" >> ${IB_CONF_DIR}/openib.conf
1660 - echo "#SRP_LOAD=no" >> ${IB_CONF_DIR}/openib.conf
1661 - # from ofa_user.spec:
1662 - echo >> ${IB_CONF_DIR}/openib.conf
1663 - echo "# Enable SRP High Availability daemon" >> ${IB_CONF_DIR}/openib.conf
1664 - echo "#SRPHA_ENABLE=no" >> ${IB_CONF_DIR}/openib.conf
1665 -
1666 - fi
1667 - if use iser; then
1668 - echo >> ${IB_CONF_DIR}/openib.conf
1669 - echo "# Load ISER module" >> ${IB_CONF_DIR}/openib.conf
1670 - echo "#ISER_LOAD=no" >> ${IB_CONF_DIR}/openib.conf
1671 - fi
1672 - if use rds; then
1673 - echo >> ${IB_CONF_DIR}/openib.conf
1674 - echo "# Load RDS module" >> ${IB_CONF_DIR}/openib.conf
1675 - echo "#RDS_LOAD=no" >> ${IB_CONF_DIR}/openib.conf
1676 - fi
1677 - if use vnic; then
1678 - echo >> ${IB_CONF_DIR}/openib.conf
1679 - echo "# Load VNIC module" >> ${IB_CONF_DIR}/openib.conf
1680 - echo "#VNIC_LOAD=yes" >> ${IB_CONF_DIR}/openib.conf
1681 - fi
1682 -
1683 - doins "${T}/openib.conf"
1684 -}
1685 -
1686 -pkg_postinst() {
1687 - /sbin/update-modules
1688 - einfo "Configuration file installed in /etc/infiniband/openib.conf"
1689 - einfo "To automatically initialize infiniband on boot, add openib to your"
1690 - einfo "start-up scripts, like so:"
1691 - einfo "\`rc-update add openib default\`"
1692 -
1693 -}
1694
1695 diff --git a/sys-infiniband/openib-userspace/ChangeLog b/sys-infiniband/openib-userspace/ChangeLog
1696 deleted file mode 100644
1697 index c9a72c7..0000000
1698 --- a/sys-infiniband/openib-userspace/ChangeLog
1699 +++ /dev/null
1700 @@ -1,27 +0,0 @@
1701 -# ChangeLog for sys-cluster/openib-userspace
1702 -# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
1703 -# $Header: $
1704 -
1705 -*openib-userspace-1.2.5.5 (05 Jun 2008)
1706 -
1707 - 05 Jun 2008; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
1708 - added openib-userspace-1.2.5.5.ebuild
1709 -
1710 - 28 May 2008; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
1711 - added ~x86 keyword, updated copyright date
1712 - openib-userspace-1.2.5.1.ebuild: removed
1713 -
1714 - 03 Jan 2008; Bryan Green <bryan.d.green@××××.gov>
1715 - openib-userspace-1.2.5.1-r1.ebuild: removed openib-mvapich2 blocker
1716 -
1717 - 02 Jan 2008; Bryan Green <bryan.d.green@××××.gov>
1718 - openib-userspace-1.2.5.1-r1.ebuild: added -j1 to emake, per bug #203817
1719 -
1720 - 29 Nov 2007; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
1721 - fixed opensm configuration files.
1722 -
1723 -*openib-userspace-1.2 (24 Oct 2007)
1724 -
1725 - 24 Oct 2007; Bryan Green <bryan.d.green@××××.gov> ChangeLog:
1726 - Initial Import; All-inclusive userspace libs/tools
1727 -
1728
1729 diff --git a/sys-infiniband/openib-userspace/files/opensm.conf.d b/sys-infiniband/openib-userspace/files/opensm.conf.d
1730 deleted file mode 100644
1731 index d3fba93..0000000
1732 --- a/sys-infiniband/openib-userspace/files/opensm.conf.d
1733 +++ /dev/null
1734 @@ -1,2 +0,0 @@
1735 -# If you want to pass any options to OpenSM, set them here.
1736 -OPTIONS=
1737
1738 diff --git a/sys-infiniband/openib-userspace/files/opensm.init.d b/sys-infiniband/openib-userspace/files/opensm.init.d
1739 deleted file mode 100644
1740 index 2b38b84..0000000
1741 --- a/sys-infiniband/openib-userspace/files/opensm.init.d
1742 +++ /dev/null
1743 @@ -1,28 +0,0 @@
1744 -#!/sbin/runscript
1745 -# Copyright 1999-2007 Gentoo Foundation
1746 -# Distributed under the terms of the GNU General Public License v2
1747 -# $Header: /CVS/groups/vistech/bgreen-overlay/sys-cluster/openib-userspace/files/opensm.init.d,v 1.1.1.1 2007/10/12 20:18:26 bgreen Exp $
1748 -
1749 -# Based on opensm script from openfabrics.org,
1750 -# Copyright (c) 2006 Mellanox Technologies. All rights reserved.
1751 -# Distributed under the terms of the GNU General Public License v2
1752 -
1753 -depend() {
1754 - need openib
1755 - after net # ip net seems to be needed to perform management.
1756 -}
1757 -
1758 -prog=/usr/bin/opensm
1759 -
1760 -start() {
1761 - ebegin "Starting OpenSM Infiniband Subnet Manager"
1762 - start-stop-daemon --start --background --exec $prog -- $OPTIONS
1763 - eend $?
1764 -}
1765 -
1766 -stop() {
1767 - ebegin "Stopping OpenSM Infiniband Subnet Manager"
1768 - start-stop-daemon --stop --exec $prog
1769 - eend $?
1770 -}
1771 -
1772
1773 diff --git a/sys-infiniband/openib-userspace/metadata.xml b/sys-infiniband/openib-userspace/metadata.xml
1774 deleted file mode 100644
1775 index d6772da..0000000
1776 --- a/sys-infiniband/openib-userspace/metadata.xml
1777 +++ /dev/null
1778 @@ -1,20 +0,0 @@
1779 -<?xml version="1.0" encoding="UTF-8"?>
1780 -<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
1781 -<pkgmetadata>
1782 - <herd>cluster</herd>
1783 - <longdescription>
1784 -OpenFabrics Userspace libraries and tools. Infiniband for Linux.
1785 -See 'www.openfabrics.org'.
1786 -</longdescription>
1787 - <use>
1788 - <flag name="cxgb3">Automatically generated description for cxgb3</flag>
1789 - <flag name="dapl">Automatically generated description for dapl</flag>
1790 - <flag name="ehca">Automatically generated description for ehca</flag>
1791 - <flag name="ipath">Automatically generated description for ipath</flag>
1792 - <flag name="mstflint">Automatically generated description for mstflint</flag>
1793 - <flag name="opensm">Automatically generated description for opensm</flag>
1794 - <flag name="qlvnictools">Automatically generated description for qlvnictools</flag>
1795 - <flag name="srptools">Automatically generated description for srptools</flag>
1796 - <flag name="tvflash">Automatically generated description for tvflash</flag>
1797 - </use>
1798 -</pkgmetadata>
1799
1800 diff --git a/sys-infiniband/openib-userspace/openib-userspace-1.2.5.5.ebuild b/sys-infiniband/openib-userspace/openib-userspace-1.2.5.5.ebuild
1801 deleted file mode 100644
1802 index 95faf61..0000000
1803 --- a/sys-infiniband/openib-userspace/openib-userspace-1.2.5.5.ebuild
1804 +++ /dev/null
1805 @@ -1,91 +0,0 @@
1806 -# Copyright 1999-2008 Gentoo Foundation
1807 -# Distributed under the terms of the GNU General Public License v2
1808 -# $Header: $
1809 -
1810 -inherit rpm
1811 -
1812 -SHORT_PV=${PV%\.[^.]}
1813 -MY_P="OFED-${PV}"
1814 -OSM="${S}/src/userspace/management/osm"
1815 -
1816 -DESCRIPTION="OpenFabrics userspace libraries and utilities"
1817 -HOMEPAGE="http://www.openfabrics.org/"
1818 -SRC_URI="http://www.openfabrics.org/builds/ofed-${SHORT_PV}/release/OFED-${PV}.tgz"
1819 -
1820 -SLOT="0"
1821 -LICENSE="|| ( GPL-2 BSD-2 )"
1822 -KEYWORDS="~x86 ~amd64"
1823 -IUSE="cxgb3 dapl ehca ipath mstflint opensm qlvnictools srptools tvflash"
1824 -
1825 -DEPEND=""
1826 -PDEPEND="=sys-infiniband/openib-files-${PV}"
1827 -RDEPEND="${DEPEND}
1828 - !sys-infiniband/libibverbs
1829 - !sys-infiniband/libmthca
1830 - !sys-infiniband/libipathverbs
1831 - !sys-infiniband/librdmacm
1832 - !sys-infiniband/libsdp
1833 - !sys-infiniband/dapl
1834 - !sys-infiniband/libehca
1835 - !sys-infiniband/libibcm
1836 - !sys-infiniband/libibcommon
1837 - !sys-infiniband/libibmad
1838 - !sys-infiniband/libibumad
1839 - !sys-infiniband/openib-diags
1840 - !sys-infiniband/openib-osm
1841 - !sys-infiniband/openib-perf
1842 - !sys-infiniband/openib-srptools
1843 - !sys-infiniband/openib"
1844 -
1845 -S="${WORKDIR}/ofa_user-${PV}"
1846 -
1847 -src_unpack() {
1848 - unpack ${A} || die "unpack failed"
1849 - rpm_unpack ${MY_P}/SRPMS/ofa_user-${PV}-0.src.rpm
1850 - tar xzf ofa_user-${PV}.tgz
1851 -}
1852 -
1853 -src_compile() {
1854 - use ipath && myconf="$myconf --with-libipathverbs"
1855 - use ehca && myconf="$myconf --with-libehca"
1856 - use cxgb3 && myconf="$myconf --with-libcxgb3"
1857 - use opensm && myconf="$myconf --with-management-libs"
1858 - myconf="--with-libibverbs --with-libmthca"
1859 - myconf="$myconf --with-libibcm"
1860 - myconf="$myconf --with-libsdp"
1861 - myconf="$myconf --with-librdmacm"
1862 - myconf="$myconf $(use_with dapl)"
1863 - myconf="$myconf $(use_with opensm)"
1864 - myconf="$myconf --with-openib-diags"
1865 - myconf="$myconf --with-perftest"
1866 - myconf="$myconf $(use_with srptools)"
1867 - myconf="$myconf --with-ipoibtools"
1868 - myconf="$myconf $(use_with qlvnictools)"
1869 - myconf="$myconf $(use_with tvflash)"
1870 - myconf="$myconf $(use_with mstflint)"
1871 - myconf="$myconf --with-sdpnetstat"
1872 - #econf ${myconf} || die "configure failed"
1873 - ./configure --prefix=/usr --mandir=/usr/share/man \
1874 - --sysconfdir=/etc \
1875 - ${myconf} ${EXTRA_ECONF} || die "configure failed"
1876 - emake -j1 || die
1877 -}
1878 -
1879 -src_install() {
1880 - make DESTDIR="${D}" install || die "install failed"
1881 - dodoc "${WORKDIR}/${MY_P}/README.txt"
1882 - dodoc "${WORKDIR}/${MY_P}/docs/*"
1883 - if use opensm ; then
1884 - newconfd "${OSM}/scripts/opensm.sysconfig" opensm
1885 - newinitd "${FILESDIR}/opensm.init.d" opensm
1886 - insinto /etc
1887 - doins "${S}/ofed_scripts/opensm.conf"
1888 - dobin "${S}/ofed_scripts/sldd.sh"
1889 - fi
1890 -}
1891 -
1892 -pkg_postinst() {
1893 - einfo "To automatically configure the infiniband subnet manager on boot,"
1894 - einfo "edit /etc/opensm.conf and add opensm to your start-up scripts:"
1895 - einfo "\`rc-update add opensm default\`"
1896 -}